GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
gdcm::CommandDataSet Class Reference

Class to represent a Command DataSet. More...

`#include <gdcmCommandDataSet.h>`

Inheritance diagram for gdcm::CommandDataSet:
[legend]
Collaboration diagram for gdcm::CommandDataSet:
[legend]

## Public Member Functions

| CommandDataSet ()
| ~CommandDataSet ()
void | Insert (const DataElement &de)
std::istream & | Read (std::istream &is)
| Read.
void | Replace (const DataElement &de)
std::ostream & | Write (std::ostream &os) const
| Write.
Public Member Functions inherited from gdcm::DataSet
ConstIterator | Begin () const
Iterator | Begin ()
void | Clear ()
template<typename TDE >
unsigned int | ComputeGroupLength (Tag const &tag) const
ConstIterator | End () const
Iterator | End ()
bool | FindDataElement (const PrivateTag &t) const
| Look up if private tag 't' is present in the dataset:
bool | FindDataElement (const Tag &t) const
const DataElement & | FindNextDataElement (const Tag &t) const
const DataElement & | GetDataElement (const Tag &t) const
const DataElement & | GetDataElement (const PrivateTag &t) const
| Return the dataelement.
const DataElementSet & | GetDES () const
DataElementSet & | GetDES ()
template<typename TDE >
VL | GetLength () const
std::string | GetPrivateCreator (const Tag &t) const
| Return the private creator of the private tag 't':
void | Insert (const DataElement &de)
bool | IsEmpty () const
| Returns if the dataset is empty.
const DataElement & | operator() (uint16_t group, uint16_t element) const
DataSet & | operator= (DataSet const &val)
const DataElement & | operator[] (const Tag &t) const
void | Print (std::ostream &os, std::string const &indent="") const
template<typename TDE , typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TDE , typename TSwap >
std::istream & | ReadNested (std::istream &is)
template<typename TDE , typename TSwap >
std::istream & | ReadSelectedTags (std::istream &is, const std::set< Tag > &tags)
template<typename TDE , typename TSwap >
std::istream & | ReadSelectedTagsWithLength (std::istream &is, const std::set< Tag > &tags, VL &length)
template<typename TDE , typename TSwap >
std::istream & | ReadUpToTag (std::istream &is, const Tag &t, std::set< Tag > const &skiptags)
template<typename TDE , typename TSwap >
std::istream & | ReadUpToTagWithLength (std::istream &is, const Tag &t, VL &length)
template<typename TDE , typename TSwap >
std::istream & | ReadWithLength (std::istream &is, VL &length)
SizeType | Remove (const Tag &tag)
| Completely remove a dataelement from the dataset.
void | Replace (const DataElement &de)
| Replace a dataelement with another one.
void | ReplaceEmpty (const DataElement &de)
| Only replace a DICOM attribute when it is missing or empty.
SizeType | Size () const
template<typename TDE , typename TSwap >
std::ostream const & | Write (std::ostream &os) const

## Friends

std::ostream & | operator<< (std::ostream &_os, const CommandDataSet &_val)

## Additional Inherited Members

Public Types inherited from gdcm::DataSet
typedef DataElementSet::const_iterator | ConstIterator
typedef std::set< DataElement > | DataElementSet
typedef DataElementSet::iterator | Iterator
typedef DataElementSet::size_type | SizeType
Protected Member Functions inherited from gdcm::DataSet
Tag | ComputeDataElement (const PrivateTag &t) const
const DataElement & | GetDEEnd () const
void | InsertDataElement (const DataElement &de)

## Detailed Description

Class to represent a Command DataSet.

See Also
  DataSet

## Constructor & Destructor Documentation

gdcm::CommandDataSet::CommandDataSet | ( |  | ) |

inline

gdcm::CommandDataSet::~CommandDataSet | ( |  | ) |

inline

## Member Function Documentation

void gdcm::CommandDataSet::Insert | ( | const DataElement & | de | ) |

inline

References gdcmErrorMacro, gdcm::Tag::GetGroup(), and gdcm::DataElement::GetTag().

std::istream& gdcm::CommandDataSet::Read | ( | std::istream & | is | ) |

Read.

void gdcm::CommandDataSet::Replace | ( | const DataElement & | de | ) |

inline

References gdcm::DataElement::GetTag().

std::ostream& gdcm::CommandDataSet::Write | ( | std::ostream & | os | ) | const

Write.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const CommandDataSet & | _val
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmCommandDataSet.h